org.apache.xmlbeans.impl.values

## Class XmlValueOutOfRangeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.xmlbeans.impl.values.XmlValueOutOfRangeException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    XmlValueNotSupportedException

      public class XmlValueOutOfRangeException
      extends IllegalArgumentException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlValueOutOfRangeException()`
    `XmlValueOutOfRangeException(String message)`
    `XmlValueOutOfRangeException(String code, Object[] args)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlValueOutOfRangeException

          public XmlValueOutOfRangeException()

    - #### XmlValueOutOfRangeException

          public XmlValueOutOfRangeException(String message)

    - #### XmlValueOutOfRangeException

          public XmlValueOutOfRangeException(String code,
                                             Object[] args)